Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.errors.soa.v1
Enum EnvironmentType

    java.lang.Object
      java.lang.Enum<EnvironmentType>
          be.fgov.ehealth.errors.soa.v1.EnvironmentType

All Implemented Interfaces:
  Serializable, Comparable<EnvironmentType>

    public enum EnvironmentType

extends Enum<EnvironmentType>

Java class for EnvironmentType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="EnvironmentType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Development"/>
         <enumeration value="Test"/>
         <enumeration value="Integration"/>
         <enumeration value="Acceptation"/>
         <enumeration value="Simulation"/>
         <enumeration value="Production"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACCEPTATION`
`DEVELOPMENT`
`INTEGRATION`
`PRODUCTION`
`SIMULATION`
`TEST`

Method Summary
`static EnvironmentType` | `fromValue(String v)`
`String` | `value()`
`static EnvironmentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnvironmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEVELOPMENT

    public static final EnvironmentType DEVELOPMENT

### TEST

    public static final EnvironmentType TEST

### INTEGRATION

    public static final EnvironmentType INTEGRATION

### ACCEPTATION

    public static final EnvironmentType ACCEPTATION

### SIMULATION

    public static final EnvironmentType SIMULATION

### PRODUCTION

    public static final EnvironmentType PRODUCTION

Method Detail

### values

    public static EnvironmentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnvironmentType c : EnvironmentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnvironmentType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static EnvironmentType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TECHNICAL 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.